Outdated WooCommerce templates

Home Forums Premium Themes Support ForumOutdated WooCommerce templates ShopfrontOutdated WooCommerce templates Outdated WooCommerce templates

This topic contains 7 replies, has 2 voices, and was last updated by  Milind (CyberChimps Team) 7 months, 1 week ago.

  • Author
    Posts
  • #263099

    Gwythan
    Participant

    Just logged in to my site today to see the following message:

    Your theme (Shop Front) contains outdated copies of some WooCommerce template files. These files may need updating to ensure they are compatible with the current version of WooCommerce. You can see which files are affected from the system status page. If in doubt, check with the author of the theme.

    Looking at the Status Page, I see:

    shopfront/woocommerce/cart/cart-totals.php,
    shopfront/woocommerce/cart/cart.php version 2.3.8 is out of date. The core version is 3.0.0,
    shopfront/woocommerce/cart/mini-cart.php,
    shopfront/woocommerce/checkout/form-billing.php,
    shopfront/woocommerce/checkout/form-checkout.php,
    shopfront/woocommerce/checkout/form-shipping.php,
    shopfront/woocommerce/content-product.php,
    shopfront/woocommerce/content-product_cat.php,
    shopfront/woocommerce/content-single-product.php,
    shopfront/woocommerce/content-widget-product.php,
    shopfront/woocommerce/single-product/product-image.php version 2.6.3 is out of date. The core version is 3.0.0,
    shopfront/woocommerce/single-product/product-thumbnails.php version 2.6.3 is out of date. The core version is 3.0.0,
    shopfront/woocommerce/single-product/related.php version 1.6.4 is out of date. The core version is 3.0.0,
    shopfront/woocommerce/single-product-reviews.php

    Will you be updating the templates?

  • #263139

    Hi,

    Can you please share your site URL and let me know the version of theme you are using?
    Thank you.

  • #263140

    Gwythan
    Participant

    I can’t share the URL I’m working on as it’s not live yet, but I’ve set up the theme on a new site: https://cyber-smi.com

    The theme is ShopFront version 1.4

    WooCommerce version 3.0.0

    WordPress version 4.7.3

    There are no other themes or plugins installed.

    Here’s the full WooCommerce system report:

    
    ### WordPress Environment ###
    
    Home URL: https://cyber-smi.com
    Site URL: https://cyber-smi.com
    WC Version: 3.0.0
    Log Directory Writable: ✔
    WP Version: 4.7.3
    WP Multisite: –
    WP Memory Limit: 256 MB
    WP Debug Mode: –
    WP Cron: ✔
    Language: en_US
    
    ### Server Environment ###
    
    Server Info: Apache/2.4.25 (cPanel) OpenSSL/1.0.1e-fips mod_bwlimited/1.4
    PHP Version: 7.0.17
    PHP Post Max Size: 8 MB
    PHP Time Limit: 30
    PHP Max Input Vars: 1000
    cURL Version: 7.53.1
    OpenSSL/1.0.1e
    
    SUHOSIN Installed: –
    MySQL Version: 5.6.35
    Max Upload Size: 2 MB
    Default Timezone is UTC: ✔
    fsockopen/cURL: ✔
    SoapClient: ✔
    DOMDocument: ✔
    GZip: ✔
    Multibyte String: ✔
    Remote Post: ✔
    Remote Get: ✔
    
    ### Database ###
    
    WC Database Version: 3.0.0
    WC Database Prefix: wp_
    woocommerce_sessions: ✔
    woocommerce_api_keys: ✔
    woocommerce_attribute_taxonomies: ✔
    woocommerce_downloadable_product_permissions: ✔
    woocommerce_order_items: ✔
    woocommerce_order_itemmeta: ✔
    woocommerce_tax_rates: ✔
    woocommerce_tax_rate_locations: ✔
    woocommerce_shipping_zones: ✔
    woocommerce_shipping_zone_locations: ✔
    woocommerce_shipping_zone_methods: ✔
    woocommerce_payment_tokens: ✔
    woocommerce_payment_tokenmeta: ✔
    MaxMind GeoIP Database: ✔
    
    ### Security ###
    
    Secure connection (HTTPS): ✔
    Hide errors from visitors: ✔
    
    ### Active Plugins (1) ###
    
    WooCommerce: by Automattic – 3.0.0
    
    ### Settings ###
    
    API Enabled: ✔
    Force SSL: –
    Currency: GBP (£)
    Currency Position: left
    Thousand Separator: ,
    Decimal Separator: .
    Number of Decimals: 2
    Taxonomies: Product Types: external (external)
    grouped (grouped)
    simple (simple)
    variable (variable)
    
    ### WC Pages ###
    
    Shop base: #4 - /shop/
    Cart: #5 - /cart/
    Checkout: #6 - /checkout/
    My account: #7 - /my-account/
    
    ### Theme ###
    
    Name: Shop Front
    Version: 1.4
    Author URL: http://www.cyberchimps.com/
    Child Theme: ❌ – If you're modifying WooCommerce on a parent theme you didn't build personally
    then we recommend using a child theme. See: How to create a child theme
    
    WooCommerce Support: ✔
    
    ### Templates ###
    
    Overrides: shopfront/woocommerce/cart/cart-totals.php
    shopfront/woocommerce/cart/cart.php version 2.3.8 is out of date. The core version is 3.0.0
    shopfront/woocommerce/cart/mini-cart.php
    shopfront/woocommerce/checkout/form-billing.php
    shopfront/woocommerce/checkout/form-checkout.php
    shopfront/woocommerce/checkout/form-shipping.php
    shopfront/woocommerce/content-product.php
    shopfront/woocommerce/content-product_cat.php
    shopfront/woocommerce/content-single-product.php
    shopfront/woocommerce/content-widget-product.php
    shopfront/woocommerce/single-product/product-image.php version 2.6.3 is out of date. The core version is 3.0.0
    shopfront/woocommerce/single-product/product-thumbnails.php version 2.6.3 is out of date. The core version is 3.0.0
    shopfront/woocommerce/single-product/related.php version 1.6.4 is out of date. The core version is 3.0.0
    shopfront/woocommerce/single-product-reviews.php
    
    Outdated Templates: ❌Learn how to update
    
  • #263261

    Hi,

    Apologies for the delay in reply.
    Can you please try updating your WooCommerce plugin once? The latest version of the plugin is 3.0.1.

    Moreover can you please let me know the steps to replicate the issue? Where you are getting this error? On the page or admin dashboard or browser console?

    Also, how you generated the WooCommerce system report?
    This will help me to check the issue on our test server and find the solution if issue exist.
    Thank you.

  • #263278

    Gwythan
    Participant

    >>Can you please try updating your WooCommerce plugin once? The latest version of the plugin is 3.0.1.
    Done. No change in warning messages etc.

    >>Moreover can you please let me know the steps to replicate the issue?
    Set up WordPress. Add your theme (ShopFront or eShopper Pro – doesn’t matter – both give the same warnings). Add/activate WooCommerce plugin.

    >>Where you are getting this error? On the page or admin dashboard or browser console?
    In the Admin dashboard

    >>Also, how you generated the WooCommerce system report?
    In Admin dashboard: select WooCommerce > System status

    I think you might need to understand that WooCommerce was recently updated to v3, but your themes are still using the older libraries. That is the source of the warnings.

  • #263302

    Hi,

    Thanks for letting us know this issue. We will fix this issue and release an update soon.
    Can you please let me know if you have observed any issue in functionality?

    Thanks again for this issue. I will let you know once the update is released.
    Thank you.

  • #263303

    Gwythan
    Participant

    I have not yet observed any issues in functionality, but I am still building the site.

    Thanks!

  • #263336

    Hi,

    We are working on it, but since it is a big change, we will need to test it thoroughly and will release it in last week.
    As there is no issue with functionality you can continue using the theme.
    Thank you.

You must be logged in to reply to this topic.